/*
 * Copyright 2003 - 2012 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 7483 $
 * Last Changed:    $Date: 2012-05-11 11:57:38 -0500 (Fri, 11 May 2012) $
 * Last Changed By: $Author: jan@moxter.net $
 */


package org.efaps.db.search.value;

import org.efaps.db.wrapper.SQLSelect;

/**
 * A boolean value.
 *
 * @author The eFaps Team
 * @version $Id: QBooleanValue.java 7483 2012-05-11 16:57:38Z jan@moxter.net $
 */
public class QBooleanValue
    extends AbstractQValue
{

    /**
     * Number of this Value.
     */
    private final Boolean value;

    /**
     * @param _value value
     */
    public QBooleanValue(final Boolean _value)
    {
        this.value = _value;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public QBooleanValue appendSQL(final SQLSelect _sql)
    {
        //_sql.addPart(this.value ?  SQLPart.TRUE : SQLPart.FALSE);
        _sql.addBooleanValue(this.value);
        return this;
    }
}
